Name: check-crc32
Version: 4.3
Release: 2%{?dist}
Summary: calculate crc32 checksum of a stream
License: GPLv2
URL: http://www.gregroelofs.com/greg_software.html
Source0: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: gcc zlib-devel

%description
All check does is take a stream of data from stdin and send it unchanged
to stdout, calculating the check along the way.  The check and number of
bytes read are written to stderr.


%prep
%setup -q -n check-%{version}


%build
gcc -O3 -g -Wall -DUSE_ZLIB -o check check.c -lz


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
install -Dp -m0755 check %{buildroot}%{_bindir}/%{name}
install -Dp -m0644 check.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
* Sat May 16 2015 Philippe Kueck <projects@unixadm.org> - 4.3-1
- initial packaging
